aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimo Fält <simo.falt@qt.io>2017-03-22 12:22:39 +0200
committerSimon Hausmann <simon.hausmann@qt.io>2017-04-27 10:25:59 +0000
commite0764f873b36d59b0ac8e0cbdfc7122d35db7045 (patch)
treebab0b09ab3b43f35ea55cf799f4fa479a2a7c753
parent94e22fcd94f94697984263e2e5b018d05085f535 (diff)
Provision and take QNX 7 SDP into use with RHEL 7.2
After enabling QNX 7, we are moving some QNX 6.6 config to be ran with qt5 integration only. Task-number: QTQAINFRA-1111 Change-Id: I230b5f8b8631558ccfa156ae4f949ed045c40972 Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
-rw-r--r--coin/platform_configs/default.txt2
-rw-r--r--coin/platform_configs/qt5.txt2
-rw-r--r--coin/provisioning/qtci-linux-RHEL-7.2-x86_64/10-qnx_700.sh64
3 files changed, 67 insertions, 1 deletions
diff --git a/coin/platform_configs/default.txt b/coin/platform_configs/default.txt
index 84a8b113..7dc33b49 100644
--- a/coin/platform_configs/default.txt
+++ b/coin/platform_configs/default.txt
@@ -22,5 +22,5 @@ qtci-osx-10.10-x86_64 Clang
qtci-osx-10.10-x86_64 IOS_ANY x86_64 Clang Release DisableTests Static
qtci-linux-RHEL-7.2-x86_64 Android_ANY armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-linux-Ubuntu-16.04-x86_64 Boot2Qt_Jethro x86_64 GCC DisableTests
-qtci-linux-RHEL-6.6-x86_64 QNX_660 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-linux-Ubuntu-16.04-x86_64 GCC TestOnly LicenseCheck
+qtci-linux-RHEL-7.2-x86_64 QNX_700 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
diff --git a/coin/platform_configs/qt5.txt b/coin/platform_configs/qt5.txt
index 44418c0e..25472f88 100644
--- a/coin/platform_configs/qt5.txt
+++ b/coin/platform_configs/qt5.txt
@@ -7,6 +7,8 @@ qtci-windows-7-x86-2 Android_ANY x86 Mingw53 Packagin
qtci-macos-10.12-x86_64-8 Android_ANY armv7 GCC Packaging Release DisableTests OpenGLES2
qtci-macos-10.12-x86_64-8 Android_ANY x86 GCC Packaging Release DisableTests OpenGLES2
qtci-linux-RHEL-6.6-x86_64 QNX_660 x86 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
+qtci-linux-RHEL-6.6-x86_64 QNX_660 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
+qtci-linux-RHEL-7.2-x86_64 QNX_700 x86 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-windows-7-x86-2 QNX_660 armv7 Mingw53 Packaging Release DisableTests OpenGLES2
qtci-windows-7-x86-2 QNX_660 x86 Mingw53 Packaging Release DisableTests OpenGLES2
qtci-osx-10.10-x86_64 IOS_ANY multi Clang Packaging DebugAndRelease DisableTests Static
diff --git a/coin/provisioning/qtci-linux-RHEL-7.2-x86_64/10-qnx_700.sh b/coin/provisioning/qtci-linux-RHEL-7.2-x86_64/10-qnx_700.sh
new file mode 100644
index 00000000..8a38c054
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.2-x86_64/10-qnx_700.sh
@@ -0,0 +1,64 @@
+#!/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs QNX 7.
+
+set -e
+targetFolder="/opt/"
+sourceFile="http://ci-files01-hki.ci.local/input/qnx/qnx700.tar.xz"
+sha1="949a87c5f00d0756956cb4b1b3b213ecaeee9113"
+folderName="qnx700"
+targetFile="qnx700.tar.xz"
+wget --tries=5 --waitretry=5 --output-document="$targetFile" "$sourceFile" || echo "Failed to download '$url' multiple times"
+echo "$sha1 $targetFile" | sha1sum --check || echo "Failed to check sha1sum"
+if [ ! -d "$targetFolder" ]; then
+ mkdir -p $targetFolder
+fi
+if [ -d "$targetFolder/$folderName" ]; then
+ rm -rf $targetFolder/$folderName
+fi
+sudo tar -C $targetFolder -Jxf $targetFile|| echo "Failed to extract $targetFile"
+sudo chown -R qt:users "$targetFolder"/"$folderName"
+
+# Verify that we have last file in tar
+if [ ! -f $targetFolder/$folderName/qnxsdp-env.sh ]; then
+ echo "Installation failed!"
+ exit -1
+fi
+
+rm -rf $targetFile
+# Set env variables
+echo 'export QNX_700=$targetFolder/$folderName' >> ~/.bashrc
+echo "QNX SDP = 7.0.0" >> ~/versions.txt